## ros-noetic-slider-publisher 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(slider_publisher)

find_package(catkin REQUIRED COMPONENTS
  rospy
  rqt_gui_py
)

catkin_package()

catkin_install_python(PROGRAMS slider_publisher examples/dummy_gazebo_server.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY examples
      DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-slider-publisher (1.1.1-1focal) focal; urgency=high

  * allow service calls / different control for double,int,bool
  * can pick default value
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 18 Aug 2021 22:00:00 -0000

ros-noetic-slider-publisher (1.1.0-1focal) focal; urgency=high

  * bump cmake version to comply with policy CMP0048
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 04 May 2021 22:00:00 -0000

ros-noetic-slider-publisher (1.0.0-1focal) focal; urgency=high

  * Update README.md
  * baxter example
  * Remove dependency to sympy
  * empty lines
  * Python 3 compat
  * solve bug when multiple keys with same name
  * robust eval for numeric vs PI expressions
  * with RPY sliders
  * multiarray bug in some cases
  * fix init bug for arrays
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 18 Apr 2021 22:00:00 -0000

ros-noetic-slider-publisher (0.1.1-1focal) focal; urgency=high

  * title is now node name
  * Twist without default
  * velocity -> twist
  * Update README.md
  * topic paths
  * without python setup as its only an executable
  * now displays topicsin GUI
  * ok for arrays of float
  * Merge branch 'master' of github.com:oKermorgant/slider_publisher
    README from GH
  * default timestamp if in message header
  * Update README.md
  * more README
  * initial commit
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Nov 2017 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-slider-publisher
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rospy, ros-noetic-rqt-gui-py
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-slider-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rospy, ros-noetic-rqt-gui-py
Description: The slider_publisher package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-slider-publisher//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
